<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml" encoding="UTF-8" />
    
  <!-- Default stage table names -->
  <xsl:variable name="ST_USER_CUSTOM_VALUES">DS_USER_CUSTOM_VALUES</xsl:variable>
  
  <!-- Staging Field names -->
  <!-- User key is defined in alarmpoint-synchronizer.xsl -->
  <xsl:variable name="custom_value_user_field">custom_user_key</xsl:variable>
  <xsl:variable name="field_key_field">field_key</xsl:variable>
  <xsl:variable name="custom_value_field">custom_value</xsl:variable>
  
  <!-- Custom Value.. Table Level -->
  <xsl:template match="user_custom_value">
    <bean>
      <xsl:attribute name="class">
        <xsl:call-template name="choose_table_synchronizer_class"/>
      </xsl:attribute>
      <xsl:call-template name="inject_staging_datasource" />
      <xsl:call-template name="choose_staging_table_name">
        <xsl:with-param name="default_name" select="$ST_USER_CUSTOM_VALUES" />
      </xsl:call-template>
      <property name="dataSynchronizationService">
        <ref bean="transactionalDataSyncCustomValueService" />
      </property>
      <xsl:call-template name="inject_report_keeper"/>
      <!-- Row Synchronizer -->
      <xsl:call-template name="row_synchronizer">
        <xsl:with-param name="data_synchronization_service">transactionalDataSyncCustomValueService</xsl:with-param>
        <xsl:with-param name="default_table" select="$ST_USER_CUSTOM_VALUES" />
        <xsl:with-param name="sync_class" select="$owned_object_row_synchronizer"/>
        <xsl:with-param name="owner_field" select="$custom_value_user_field" />
      </xsl:call-template>
    </bean>
  </xsl:template>

  <!-- Custom Value .. Field Level -->

  <xsl:template match="custom_user_key">
    <xsl:call-template name="call_fields">
      <xsl:with-param name="synchronizer_class" select="$enterprise_custom_value_user_field_synchronizer"/>
      <xsl:with-param name="model_property_name">customValueMap</xsl:with-param>
      <xsl:with-param name="mapper_class" select="$referenceKeyTypeMapper" />
      <xsl:with-param name="mapper_properties">dataSyncPersonService</xsl:with-param>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="field_key">
    <xsl:call-template name="call_fields">
      <xsl:with-param name="model_property_name">customField</xsl:with-param>
      <xsl:with-param name="mapper_class" select="$referenceKeyTypeMapper" />
      <xsl:with-param name="mapper_properties">dataSyncCustomFieldService</xsl:with-param>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="custom_value">
    <xsl:call-template name="call_fields">
      <xsl:with-param name="synchronizer_class" select="$enterprise_custom_value_set_value_user_field_synchronizer"/>
      <xsl:with-param name="model_property_name">value</xsl:with-param>
      <xsl:with-param name="mapper_class" select="$stringTypeMapper" />
    </xsl:call-template>
  </xsl:template>
 
</xsl:stylesheet>
