<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml" encoding="UTF-8" />
    
  <!-- Default stage table names -->
  <xsl:variable name="ST_TEMP_REPLACEMENTS">DS_TEMP_REPLACEMENTS</xsl:variable>
  
  <!-- Table Level -->
  <xsl:template match="temp_replacements">
    <bean>
      <xsl:attribute name="class">
        <xsl:call-template name="choose_table_synchronizer_class"/>
      </xsl:attribute>
      <xsl:call-template name="inject_staging_datasource" />
      <xsl:call-template name="choose_staging_table_name">
        <xsl:with-param name="default_name" select="$ST_TEMP_REPLACEMENTS" />
      </xsl:call-template>
      <property name="dataSynchronizationService">
        <ref bean="dataSyncTempReplacementService" />
      </property>
      <xsl:call-template name="inject_report_keeper"/>
      <!-- Row Synchronizer -->
      <xsl:call-template name="row_synchronizer">
        <xsl:with-param name="data_synchronization_service">dataSyncTempReplacementService</xsl:with-param>
        <xsl:with-param name="default_table" select="$ST_TEMP_REPLACEMENTS" />
        <xsl:with-param name="pre_commit_validator">replacementPreCommitValidator</xsl:with-param>
      </xsl:call-template>
    </bean>
  </xsl:template>

  <!-- Field Level --> 
  <xsl:template match="replacement_group">
    <xsl:call-template name="call_fields">
      <xsl:with-param name="model_property_name">replacementGroup</xsl:with-param>
      <xsl:with-param name="mapper_class" select="$referenceKeyTypeMapper" />
      <xsl:with-param name="mapper_properties">dataSyncGroupService</xsl:with-param>
    </xsl:call-template>
  </xsl:template>
  
  <xsl:template match="user_to_replace">
    <xsl:call-template name="call_fields">
      <xsl:with-param name="model_property_name">userToReplace</xsl:with-param>
      <xsl:with-param name="mapper_class" select="$referenceKeyTypeMapper" />
      <xsl:with-param name="mapper_properties">dataSyncPersonService</xsl:with-param>
    </xsl:call-template>
  </xsl:template>
  
  <xsl:template match="replacement_user">
    <xsl:call-template name="call_fields">
      <xsl:with-param name="model_property_name">replacementUser</xsl:with-param>
      <xsl:with-param name="mapper_class" select="$referenceKeyTypeMapper" />
      <xsl:with-param name="mapper_properties">dataSyncPersonService</xsl:with-param>
    </xsl:call-template>
  </xsl:template>
  
  <xsl:template match="replacement_start_date">
    <xsl:call-template name="call_fields">
      <xsl:with-param name="model_property_name">replacementStartDate</xsl:with-param>
      <xsl:with-param name="mapper_class" select="$stringTypeMapper" />
    </xsl:call-template>
  </xsl:template>
  
  <xsl:template match="replacement_start_time">
    <xsl:call-template name="call_fields">
      <xsl:with-param name="model_property_name">replacementStartTime</xsl:with-param>
      <xsl:with-param name="mapper_class" select="$stringTypeMapper" />
    </xsl:call-template>
  </xsl:template>
 
  <xsl:template match="replacement_end_date">
    <xsl:call-template name="call_fields">
      <xsl:with-param name="model_property_name">replacementEndDate</xsl:with-param>
      <xsl:with-param name="mapper_class" select="$stringTypeMapper" />
    </xsl:call-template>
  </xsl:template>
  
  <xsl:template match="replacement_end_time">
    <xsl:call-template name="call_fields">
      <xsl:with-param name="model_property_name">replacementEndTime</xsl:with-param>
      <xsl:with-param name="mapper_class" select="$stringTypeMapper" />
    </xsl:call-template>
  </xsl:template>
 
</xsl:stylesheet>