--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
----- xMatters Enterprise 3: ORACLE DDL
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_USERS
--------------------------------------------------------------------------------
CREATE TABLE DS_USERS (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
SITE_NAME                     VARCHAR2(100)                 NULL,
ROLE_LIST                     VARCHAR2(2000)                NULL,
STATUS                        VARCHAR2(30)                  NULL,
LAST_NAME                     VARCHAR2(100)                 NOT NULL,
FIRST_NAME                    VARCHAR2(100)                 NOT NULL,
LANGUAGE_OVERRIDE             VARCHAR2(100)                 NULL,
TIMEZONE_OVERRIDE             VARCHAR2(100)                 NULL,
RECORDED_NAME                 VARCHAR2(100)                 NULL,
WEB_LOGIN_TYPE                VARCHAR2(30)                  NULL,
WEB_LOGIN                     VARCHAR2(100)                 NULL,
WEB_PASSWORD                  VARCHAR2(100)                 NULL,
LDAP_DOMAIN                   VARCHAR2(100)                 NULL,
PHONE_LOGIN                   VARCHAR2(100)                 NULL,
PHONE_PASSWORD                VARCHAR2(40)                  NULL,
USER_ID                       VARCHAR2(100)                 NOT NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
HAS_MOBILE_ACCESS             CHAR(1)                       NULL,
CONSTRAINT DS_USERS_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_USERS

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_USER_JOIN_ATTRIBUTES
--------------------------------------------------------------------------------
CREATE TABLE DS_USER_JOIN_ATTRIBUTES (
USER_EXTERNAL_KEY             VARCHAR2(250)                 NOT NULL,
ATTRIBUTE_EXTERNAL_KEY        VARCHAR2(250)                 NOT NULL,
CONSTRAINT DS_USER_JOIN_ATTRIBUTES_PK
	PRIMARY KEY (USER_EXTERNAL_KEY, ATTRIBUTE_EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_USER_JOIN_ATTRIBUTES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_PERSON_SUPERVISORS
--------------------------------------------------------------------------------
CREATE TABLE DS_PERSON_SUPERVISORS (
USER_EXTERNAL_KEY             VARCHAR2(250)                 NOT NULL,
PERSON_SUPERVISOR_LIST        VARCHAR2(2000)                NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_PERSON_SUPERVISORS_PK
	PRIMARY KEY (USER_EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_PERSON_SUPERVISORS

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_USER_CUSTOM_VALUES
--------------------------------------------------------------------------------
CREATE TABLE DS_USER_CUSTOM_VALUES (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
CUSTOM_USER_KEY               VARCHAR2(250)                 NOT NULL,
FIELD_KEY                     VARCHAR2(250)                 NOT NULL,
CUSTOM_VALUE                  VARCHAR2(100)                 NOT NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_USER_CUSTOM_VALUES_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_USER_CUSTOM_VALUES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_EMAIL_DEVICES
--------------------------------------------------------------------------------
CREATE TABLE DS_EMAIL_DEVICES (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
ADDRESS                       VARCHAR2(100)                 NOT NULL,
USER_KEY                      VARCHAR2(250)                 NOT NULL,
DEVICE_NAME                   VARCHAR2(100)                 NULL,
SERVICE_PROVIDER_NAME         VARCHAR2(100)                 NULL,
STATUS                        VARCHAR2(30)                  NULL,
DEFAULT_DEVICE                CHAR(1)                       NULL,
DEVICE_ORDER                  VARCHAR2(38)                  NULL,
DELAY                         VARCHAR2(38)                  NULL,
LOCK_24X7                     CHAR(1)                       NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_EMAIL_DEVICES_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_EMAIL_DEVICES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_IM_DEVICES
--------------------------------------------------------------------------------
CREATE TABLE DS_IM_DEVICES (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
ADDRESS                       VARCHAR2(100)                 NOT NULL,
USER_KEY                      VARCHAR2(250)                 NOT NULL,
DEVICE_NAME                   VARCHAR2(100)                 NULL,
SERVICE_PROVIDER_NAME         VARCHAR2(100)                 NULL,
STATUS                        VARCHAR2(30)                  NULL,
DEFAULT_DEVICE                CHAR(1)                       NULL,
DEVICE_ORDER                  VARCHAR2(38)                  NULL,
DELAY                         VARCHAR2(38)                  NULL,
LOCK_24X7                     CHAR(1)                       NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_IM_DEVICES_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_IM_DEVICES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_TEXT_PAGER_DEVICES
--------------------------------------------------------------------------------
CREATE TABLE DS_TEXT_PAGER_DEVICES (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
PIN                           VARCHAR2(100)                 NOT NULL,
IS_TWO_WAY                    CHAR(1)                       NULL,
USER_KEY                      VARCHAR2(250)                 NOT NULL,
DEVICE_NAME                   VARCHAR2(100)                 NULL,
SERVICE_PROVIDER_NAME         VARCHAR2(100)                 NULL,
STATUS                        VARCHAR2(30)                  NULL,
DEFAULT_DEVICE                CHAR(1)                       NULL,
DEVICE_ORDER                  VARCHAR2(38)                  NULL,
DELAY                         VARCHAR2(38)                  NULL,
LOCK_24X7                     CHAR(1)                       NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_TEXT_PAGER_DEVICES_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_TEXT_PAGER_DEVICES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_NUMERIC_PAGER_DEVICES
--------------------------------------------------------------------------------
CREATE TABLE DS_NUMERIC_PAGER_DEVICES (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
COUNTRY                       VARCHAR2(100)                 NULL,
PIN                           VARCHAR2(100)                 NULL,
AREA_CODE                     VARCHAR2(100)                 NULL,
PHONE_NUMBER                  VARCHAR2(100)                 NULL,
USER_KEY                      VARCHAR2(250)                 NOT NULL,
DEVICE_NAME                   VARCHAR2(100)                 NULL,
SERVICE_PROVIDER_NAME         VARCHAR2(100)                 NULL,
STATUS                        VARCHAR2(30)                  NULL,
DEFAULT_DEVICE                CHAR(1)                       NULL,
DEVICE_ORDER                  VARCHAR2(38)                  NULL,
DELAY                         VARCHAR2(38)                  NULL,
LOCK_24X7                     CHAR(1)                       NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_NUMERIC_PAGER_DEVICES_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_NUMERIC_PAGER_DEVICES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_VOICE_DEVICES
--------------------------------------------------------------------------------
CREATE TABLE DS_VOICE_DEVICES (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
COUNTRY                       VARCHAR2(100)                 NULL,
AREA_CODE                     VARCHAR2(10)                  NULL,
PHONE_NUMBER                  VARCHAR2(30)                  NULL,
EXTENSION                     VARCHAR2(10)                  NULL,
USER_KEY                      VARCHAR2(250)                 NOT NULL,
DEVICE_NAME                   VARCHAR2(100)                 NULL,
SERVICE_PROVIDER_NAME         VARCHAR2(100)                 NULL,
STATUS                        VARCHAR2(30)                  NULL,
DEFAULT_DEVICE                CHAR(1)                       NULL,
DEVICE_ORDER                  VARCHAR2(38)                  NULL,
DELAY                         VARCHAR2(38)                  NULL,
LOCK_24X7                     CHAR(1)                       NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_VOICE_DEVICES_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_VOICE_DEVICES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_TEXT_PHONE_DEVICES
--------------------------------------------------------------------------------
CREATE TABLE DS_TEXT_PHONE_DEVICES (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
COUNTRY_CODE                  VARCHAR2(3)                   NULL,
TARGET_NUMBER                 VARCHAR2(100)                 NULL,
USER_KEY                      VARCHAR2(250)                 NOT NULL,
DEVICE_NAME                   VARCHAR2(100)                 NULL,
SERVICE_PROVIDER_NAME         VARCHAR2(100)                 NULL,
STATUS                        VARCHAR2(30)                  NULL,
DEFAULT_DEVICE                CHAR(1)                       NULL,
DEVICE_ORDER                  VARCHAR2(38)                  NULL,
DELAY                         VARCHAR2(38)                  NULL,
LOCK_24X7                     CHAR(1)                       NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_TEXT_PHONE_DEVICES_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_TEXT_PHONE_DEVICES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_GENERIC_DEVICES
--------------------------------------------------------------------------------
CREATE TABLE DS_GENERIC_DEVICES (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
PIN                           VARCHAR2(100)                 NULL,
USER_KEY                      VARCHAR2(250)                 NOT NULL,
DEVICE_NAME                   VARCHAR2(100)                 NULL,
SERVICE_PROVIDER_NAME         VARCHAR2(100)                 NULL,
STATUS                        VARCHAR2(30)                  NULL,
DEFAULT_DEVICE                CHAR(1)                       NULL,
DEVICE_ORDER                  VARCHAR2(38)                  NULL,
DELAY                         VARCHAR2(38)                  NULL,
LOCK_24X7                     CHAR(1)                       NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_GENERIC_DEVICES_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_GENERIC_DEVICES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_BES_DEVICES
--------------------------------------------------------------------------------
CREATE TABLE DS_BES_DEVICES (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
ADDRESS                       VARCHAR2(100)                 NULL,
USER_KEY                      VARCHAR2(250)                 NOT NULL,
DEVICE_NAME                   VARCHAR2(100)                 NULL,
SERVICE_PROVIDER_NAME         VARCHAR2(100)                 NULL,
STATUS                        VARCHAR2(30)                  NULL,
DEFAULT_DEVICE                CHAR(1)                       NULL,
DEVICE_ORDER                  VARCHAR2(38)                  NULL,
DELAY                         VARCHAR2(38)                  NULL,
LOCK_24X7                     CHAR(1)                       NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_BES_DEVICES_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_BES_DEVICES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_GROUPS
--------------------------------------------------------------------------------
CREATE TABLE DS_GROUPS (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
GROUP_NAME                    VARCHAR2(100)                 NOT NULL,
DESCRIPTION                   VARCHAR2(200)                 NULL,
STATUS                        VARCHAR2(30)                  NULL,
USE_DEFAULT_DEVICES           CHAR(1)                       NULL,
TIMEZONE                      VARCHAR2(100)                 NULL,
GROUP_SITE_NAME               VARCHAR2(100)                 NULL,
SUPERVISOR_LIST               VARCHAR2(2000)                NULL,
OBSERVED_BY_ALL               CHAR(1)                       NULL,
OBSERVER_LIST                 VARCHAR2(2000)                NULL,
ALLOW_DUPLICATES              CHAR(1)                       NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_GROUPS_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_GROUPS

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_TEAMS
--------------------------------------------------------------------------------
CREATE TABLE DS_TEAMS (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
GROUP_KEY                     VARCHAR2(250)                 NOT NULL,
SUB_TARGET_NAME               VARCHAR2(100)                 NOT NULL,
DESCRIPTION                   VARCHAR2(200)                 NULL,
USE_DEFAULT_DEVICES           CHAR(1)                       NULL,
ESCALATION_SCHEDULE           VARCHAR2(255)                 NULL,
IS_ROUND_ROBIN                CHAR(1)                       NULL,
ADD_24X7_COVERAGE             CHAR(1)                       NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_TEAMS_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_TEAMS

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_TEAM_MEMBERSHIPS
--------------------------------------------------------------------------------
CREATE TABLE DS_TEAM_MEMBERSHIPS (
TEAM_KEY                      VARCHAR2(250)                 NOT NULL,
MEMBER_KEY                    VARCHAR2(250)                 NOT NULL,
MEMBER_TYPE                   VARCHAR2(30)                  NULL,
MEMBER_SUB_TYPE               VARCHAR2(30)                  NULL,
MEMBER_SEQUENCE_NUMBER        VARCHAR2(38)                  NOT NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_TEAM_MEMBERSHIPS_PK
	PRIMARY KEY (TEAM_KEY, MEMBER_SEQUENCE_NUMBER) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_TEAM_MEMBERSHIPS

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_RECURRENT_COVERAGES
--------------------------------------------------------------------------------
CREATE TABLE DS_RECURRENT_COVERAGES (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
OWNING_GROUP_KEY              VARCHAR2(250)                 NOT NULL,
COVERAGE_NAME                 VARCHAR2(100)                 NOT NULL,
START_DATE                    VARCHAR2(10)                  NULL,
START_TIME                    VARCHAR2(5)                   NOT NULL,
DURATION                      VARCHAR2(77)                  NOT NULL,
DAY_PATTERN                   VARCHAR2(62)                  NOT NULL,
FREQUENCY                     VARCHAR2(10)                  NOT NULL,
INTERVAL                      VARCHAR2(38)                  NOT NULL,
INCLUDE_SITE_HOLIDAYS         CHAR(1)                       NULL,
RECURRENCE_END                VARCHAR2(38)                  NULL,
WORKER_TEAM_KEY               VARCHAR2(250)                 NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_RECURRENT_COVERAGES_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_RECURRENT_COVERAGES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_HOLIDAY_COVERAGES
--------------------------------------------------------------------------------
CREATE TABLE DS_HOLIDAY_COVERAGES (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
OWNING_GROUP_KEY              VARCHAR2(250)                 NOT NULL,
COVERAGE_NAME                 VARCHAR2(100)                 NOT NULL,
START_DATE                    VARCHAR2(10)                  NULL,
START_TIME                    VARCHAR2(5)                   NOT NULL,
DURATION                      VARCHAR2(77)                  NOT NULL,
RECURRENCE_END                VARCHAR2(38)                  NULL,
WORKER_TEAM_KEY               VARCHAR2(250)                 NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_HOLIDAY_COVERAGES_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_HOLIDAY_COVERAGES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_SITES
--------------------------------------------------------------------------------
CREATE TABLE DS_SITES (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
SITENAME                      VARCHAR2(100)                 NOT NULL,
SITE_STATUS                   VARCHAR2(30)                  NOT NULL,
SITE_LANGUAGE                 VARCHAR2(100)                 NOT NULL,
SITE_TIMEZONE                 VARCHAR2(100)                 NOT NULL,
SITE_ADDRESS_01               VARCHAR2(100)                 NULL,
SITE_ADDRESS_02               VARCHAR2(100)                 NULL,
SITE_CITY                     VARCHAR2(100)                 NULL,
SITE_COUNTRY                  VARCHAR2(100)                 NULL,
SITE_REGION_NAME              VARCHAR2(100)                 NULL,
SITE_MAIL_CODE                VARCHAR2(10)                  NULL,
SITE_CLUSTER_01               VARCHAR2(100)                 NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_SITES_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_SITES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_ATTRIBUTE_CATEGORIES
--------------------------------------------------------------------------------
CREATE TABLE DS_ATTRIBUTE_CATEGORIES (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
CATEGORY_NAME                 VARCHAR2(100)                 NOT NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_ATTRIBUTE_CATEGORIES_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_ATTRIBUTE_CATEGORIES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_ATTRIBUTES
--------------------------------------------------------------------------------
CREATE TABLE DS_ATTRIBUTES (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
ATTRIBUTE_NAME                VARCHAR2(100)                 NOT NULL,
ATTRIBUTE_CATEGORY_KEY        VARCHAR2(250)                 NOT NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_ATTRIBUTES_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_ATTRIBUTES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_CUSTOM_FIELDS
--------------------------------------------------------------------------------
CREATE TABLE DS_CUSTOM_FIELDS (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
CUSTOM_FIELD_NAME             VARCHAR2(100)                 NOT NULL,
CUSTOM_FIELD_TYPE             VARCHAR2(100)                 NOT NULL,
CUSTOM_FIELD_MANDATORY        CHAR(1)                       NOT NULL,
CUSTOM_FIELD_MAX              VARCHAR2(38)                  NULL,
CUSTOM_FIELD_MIN              VARCHAR2(38)                  NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_CUSTOM_FIELDS_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_CUSTOM_FIELDS

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_CUSTOM_FIELD_JOIN_VALUES
--------------------------------------------------------------------------------
CREATE TABLE DS_CUSTOM_FIELD_JOIN_VALUES (
FIELD_EXTERNAL_KEY            VARCHAR2(250)                 NOT NULL,
FIELD_VALUE                   VARCHAR2(200)                 NOT NULL,
CONSTRAINT DS_CUSTOM_FIELD_JOIN_VALUES_PK
	PRIMARY KEY (FIELD_EXTERNAL_KEY, FIELD_VALUE) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_CUSTOM_FIELD_JOIN_VALUES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_EVENT_DOMAIN_PREDICATES
--------------------------------------------------------------------------------
CREATE TABLE DS_EVENT_DOMAIN_PREDICATES (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
EVENT_DOMAIN_KEY              VARCHAR2(250)                 NOT NULL,
PREDICATE_NAME                VARCHAR2(100)                 NOT NULL,
PREDICATE_TYPE                VARCHAR2(100)                 NOT NULL,
RANKING                       VARCHAR2(38)                  NULL,
IMPORTANT                     CHAR(1)                       NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
CONSTRAINT DS_EVENT_DOMAIN_PREDICATES_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_EVENT_DOMAIN_PREDICATES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_PREDICATE_JOIN_VALUES
--------------------------------------------------------------------------------
CREATE TABLE DS_PREDICATE_JOIN_VALUES (
PREDICATE_EXTERNAL_KEY        VARCHAR2(250)                 NOT NULL,
PREDICATE_VALUE               VARCHAR2(100)                 NOT NULL,
CONSTRAINT DS_PREDICATE_JOIN_VALUES_PK
	PRIMARY KEY (PREDICATE_EXTERNAL_KEY, PREDICATE_VALUE) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_PREDICATE_JOIN_VALUES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_DEVICE_TIMEFRAMES
--------------------------------------------------------------------------------
CREATE TABLE DS_DEVICE_TIMEFRAMES (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
DT_OWNING_DEVICE_TYPE         VARCHAR2(250)                 NOT NULL,
DT_OWNING_DEVICE_KEY          VARCHAR2(250)                 NULL,
DT_OWNING_DEVICE_NAME         VARCHAR2(255)                 NULL,
DT_OWNING_DEVICE_OWNER_UID    VARCHAR2(255)                 NULL,
DT_NAME                       VARCHAR2(100)                 NOT NULL,
DT_START_TIME                 VARCHAR2(5)                   NOT NULL,
DT_DURATION                   VARCHAR2(77)                  NOT NULL,
DT_DAY_PATTERN                VARCHAR2(62)                  NOT NULL,
DT_EXCLUDE_HOLIDAYS           CHAR(1)                       NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
CONSTRAINT DS_DEVICE_TIMEFRAMES_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_DEVICE_TIMEFRAMES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_ONE_TIME_COVERAGES
--------------------------------------------------------------------------------
CREATE TABLE DS_ONE_TIME_COVERAGES (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
OWNING_GROUP_KEY              VARCHAR2(250)                 NOT NULL,
COVERAGE_NAME                 VARCHAR2(100)                 NOT NULL,
START_DATE                    VARCHAR2(10)                  NULL,
START_TIME                    VARCHAR2(5)                   NOT NULL,
DURATION                      VARCHAR2(77)                  NOT NULL,
WORKER_TEAM_KEY               VARCHAR2(250)                 NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
CONSTRAINT DS_ONE_TIME_COVERAGES_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_ONE_TIME_COVERAGES

--------------------------------------------------------------------------------
----- CREATING TABLE: DS_TEMP_REPLACEMENTS
--------------------------------------------------------------------------------
CREATE TABLE DS_TEMP_REPLACEMENTS (
EXTERNAL_KEY                  VARCHAR2(250)                 NOT NULL,
REPLACEMENT_GROUP             VARCHAR2(250)                 NULL,
USER_TO_REPLACE               VARCHAR2(250)                 NOT NULL,
REPLACEMENT_USER              VARCHAR2(250)                 NOT NULL,
REPLACEMENT_START_DATE        VARCHAR2(10)                  NOT NULL,
REPLACEMENT_START_TIME        VARCHAR2(5)                   NOT NULL,
REPLACEMENT_END_DATE          VARCHAR2(10)                  NOT NULL,
REPLACEMENT_END_TIME          VARCHAR2(5)                   NOT NULL,
ALARMPOINT_ACTION             CHAR(1)                       NULL,
LAST_SYNC_DATE                TIMESTAMP(6)                  NULL,
IS_EXTERNALLY_OWNED           CHAR(1)                       NULL,
CONSTRAINT DS_TEMP_REPLACEMENTS_PK
	PRIMARY KEY (EXTERNAL_KEY) USING INDEX
);
--------------------------------------------------------------------------------
-----$$ END TABLE: DS_TEMP_REPLACEMENTS

--------------------------------------------------------------------------------
----- Foreign Keys: 
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
-----$$ END Foreign Keys:
